"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Collection = void 0;
const mongodb_1 = require("../lib/mongodb");
class Collection extends mongodb_1.MongoCollection {
    constructor(db, name, options) {
        super(db, name, options);
    }
    countDocuments(filter, options) {
        return super.countDocuments(filter, options);
    }
    upsert(filter, update, options) {
        return super.updateOne(filter, update, {
            upsert: true,
            ...options
        });
    }
}
exports.Collection = Collection;
//# sourceMappingURL=mongo.collection.js.map